WordPress

elegant-themes-a-google-fontsPři úpravách stránek o filmových novinkách FilmFan.cz jsme se stále potýkali s problémem nekorektního zobrazování některých českých znaků v šabloně od Elegant Themes. Nakonec se nám to povedlo a je to poměrně jednoduché řešení, pokud víte co změnit. Abych ostatním ušetřil čas, sepsal jsem návod jak na to.

jquery-vs-mootoolsDocela dlouho jsem se plácal v kruhu, když jsem pro Wordpress šablonu využívající Mootools nainstaloval pluginy které používají jQuery. Vše se různě zasekávalo, něco nefungovalo. Třeba slider posledních novinek přestal od určitého updatu pluginů v šabloně WP úplně fungovat.

facebookFacebook přišel s novým Open Graph api rozhraním a rozšířil tak možnosti sociální komunikace a propagace u stránek. Už jste asi viděli na některých webech tlačítko "To se mi líbí" nebo "Doporučuji". Pokud ne můžete se podívat na příklad třeba na MAXiPod.cz. Přidat tuto možnost do Vašich WP stránek je celkem snadné a můžete použít dvě varianty implementace.

wordpress-logoAť už vytváříte vlastní šablonu pro Wordpress, nebo jen potřebujete mírně upravit šablonu stávající, asi jste se setkali s požadavkem na omezení vypisovaných příspěvků. Často nechcete vypisovat příspěvky z určité kategorie, nebo naopak vypisovat přípěvky jen z kategorií, které si určíte. Někdy je navíc specifický požadavek, aby se takto chovala pouze titulní stránka. Ukážeme si jak na to.

Wordpress Pokud používáte plugin AdSense Deluxe, pro správu reklam ve Vašem WordPressu a provedli jste aktualizaci WP na verzi 2.8.1, tak se Vám v administraci po kliknutí na položku v Nastavení -> AdSenseDeluxe objeví místo obvyklé administrační stránky hláška:

You do not have sufficient permissions to access this page

Obvykle stačí počkat na aktualizaci od tvůrce pluginu, protože ale AdSense už není svým tvůrcem dále vyvíjen a aktualizován musíme si pomoct sami.